Subject: Re: [PATCH v4 1/1] push: make 'set-upstream' have dafault arguments

From: Junio C Hamano <[email-masked]>
Date: Tue, 04 Jan 2022 12:35:51 -0800

Abhradeep Chakraborty <[email-masked]> writes:

> * For push.default=upstream, If an upstream is already defined then
>   'git push -u' should only set that branch as the upstream of the
>   local branch. This already works in git. But if an upstream is not
>   provied, it should throw error. So, I am not sure whether 'git push
>   -u' (with no upstream information) should create a new branch with
>   the same name or not. What do you think about that?

I think erring on the side of caution is more sensible than blindly
assuming that the user wants a new branch with the same name.

Thank you for working on the topic and thinking its ramifications
through.